package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(description = "首页课程信息")
public class CourseHomeVo {

    @ApiModelProperty(value = "未完成课程总数")
    private Integer totalUndoneCount;
    @ApiModelProperty(value = "已完成课程总数")
    private Integer totalDoneCount;
    @ApiModelProperty(value = "总课程数")
    private Integer totalCount;
    @ApiModelProperty(value = "数据明细")
    private List<CourseHomeInfoVo> courseHomeInfoList;

    @ApiModel(description = "首页课程明细")
    public static class CourseHomeInfoVo {
        @ApiModelProperty(value = "日期-按年查询返回年月 按月查询返回年月日")
        private String date;
        @ApiModelProperty(value = "未完成课程数")
        private Integer undoneCount;
        @ApiModelProperty(value = "已完成课程数")
        private Integer doneCount;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public Integer getUndoneCount() {
            return undoneCount;
        }

        public void setUndoneCount(Integer undoneCount) {
            this.undoneCount = undoneCount;
        }

        public Integer getDoneCount() {
            return doneCount;
        }

        public void setDoneCount(Integer doneCount) {
            this.doneCount = doneCount;
        }
    }

    public Integer getTotalUndoneCount() {
        return totalUndoneCount;
    }

    public void setTotalUndoneCount(Integer totalUndoneCount) {
        this.totalUndoneCount = totalUndoneCount;
    }

    public Integer getTotalDoneCount() {
        return totalDoneCount;
    }

    public void setTotalDoneCount(Integer totalDoneCount) {
        this.totalDoneCount = totalDoneCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public List<CourseHomeInfoVo> getCourseHomeInfoList() {
        return courseHomeInfoList;
    }

    public void setCourseHomeInfoList(List<CourseHomeInfoVo> courseHomeInfoList) {
        this.courseHomeInfoList = courseHomeInfoList;
    }
}
